Summary: Class Library for High Energy Physics
Name: clhep
Version: 1.8.2.0
Release: 1a
Copyright: GPL
Vendor: JLC
Group: System Environment/Libraries
Source: http://wwwinfo.cern.ch/asd/lhc++/clhep/clhep-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-root
Prefix: /usr/local

%description

Class Library for High Energy Physics.
If you are high energy phisicist, you should install this
library.

%prep
%setup -n CLHEP
export PATH=$PATH:%{_bindir}
(cd ..; doxygen CLHEP/doxygen/config.doxygen)

%build
cp /usr/share/libtool/config.* config/
./configure
%ifnos darwin
make CXXFLAGS="$RPM_OPT_FLAGS -fno-common"
%else
make CXXFLAGS='-O0 -fsigned-char -fno-common'
%endif

%install
rm -rf %{_tmppath}/%{name}-root
make install CXXFLAGS="$RPM_OPT_FLAGS" prefix=$RPM_BUILD_ROOT%{prefix}

%ifos darwin
ranlib -s $RPM_BUILD_ROOT%{prefix}/lib/libCLHEP-CC.%{version}.a
ln -s libCLHEP-CC.%{version}.a $RPM_BUILD_ROOT%{prefix}/lib/libCLHEP.a
%else
ln -s libCLHEP-g++.%{version}.a $RPM_BUILD_ROOT%{prefix}/lib/libCLHEP.a
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ChangeLog INSTALL README doxygen/html
%{prefix}/include/CLHEP
%{prefix}/lib/*

%changelog
* Tue Jan 13 2004 Keisuke Fujii <keisuke.fujii@kek.jp> 1.8.2.0-1a
- 1st release on MacOSX 10.3

* Thu Oct 03 2002 Keisuke Fujii <keisuke.fujii@kek.jp>
- 1st clhep rpm of version 1.8.0.0 on MacOS X 10.2
- Use -O0 for darwin

* Sat Jun 29 2002 Kotoyo Hoshina <hoshina@post.kek.jp>
- 1st clhep rpm of version 1.8.0.0 on MacOS X
- Use -O0 for darwin

* Mon Dec 10 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 2nd clhep rpm of version 1.7.0.0 on MacOS X
- Use -O0 for darwin

* Fri Nov 9 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st clhep rpm of version 1.7.0.0 on MacOS X

* Fri Apr 13 2001 Kotoyo Hoshina <hoshina@jlcux1.kek.jp>
- 1st clhep rpm of version 1.6.0.0 on MacOS X

* Fri Jul 21 2000 Kotoyo Hoshina <hoshina@jlcux1.kek.jp>
- 1st clhep rpm of version 1.6.0.0

